Package org.apache.sysds.hops.fedplanner

# Class FederatedPlanRewireTransTable

java.lang.Object
org.apache.sysds.hops.fedplanner.FederatedPlanRewireTransTable

public class FederatedPlanRewireTransTable extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FED_FRAME_IDENTIFIER`
`static final String`
`FED_MATRIX_IDENTIFIER`

## Constructor Summary

Constructors
Constructor
Description
`FederatedPlanRewireTransTable()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`rewireFunctionDynamic(FunctionStatementBlock function, Map<Long,List<Hop>> rewireTable, Map<Long,FederatedMemoTable.HopCommon> hopCommonTable, Map<Long,FTypes.Privacy> privacyConstraintMap, Map<Long,FTypes.FType> fTypeMap, List<org.apache.commons.lang3.tuple.Pair<FederatedRange,FederatedData>> fedMap, Set<Long> unRefTwriteSet, Set<Long> unRefSet, Set<Hop> progRootHopSet)`
`static void`
`rewireProgram(DMLProgram prog, Map<Long,List<Hop>> rewireTable, Map<Long,FederatedMemoTable.HopCommon> hopCommonTable, Map<Long,FTypes.Privacy> privacyConstraintMap, Map<Long,FTypes.FType> fTypeMap, List<org.apache.commons.lang3.tuple.Pair<FederatedRange,FederatedData>> fedMap, Set<Long> unRefTwriteSet, Set<Long> unRefSet, Set<Hop> progRootHopSet)`
`static Map<String,List<Hop>>`
`rewireStatementBlock(StatementBlock sb, DMLProgram prog, Set<Long> visitedHops, Map<Long,List<Hop>> rewireTable, Map<Long,FederatedMemoTable.HopCommon> hopCommonTable, List<Map<String,List<Hop>>> outerTransTableList, Map<String,List<Hop>> formerTransTable, Map<Long,FTypes.Privacy> privacyConstraintMap, Map<Long,FTypes.FType> fTypeMap, List<org.apache.commons.lang3.tuple.Pair<FederatedRange,FederatedData>> fedMap, Set<Long> unRefTwriteSet, Set<Long> unRefSet, Set<Hop> progRootHopSet, Set<String> fnStack, double computeWeight, double networkWeight, List<org.apache.commons.lang3.tuple.Pair<Long,Double>> parentLoopStack)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### FED_MATRIX_IDENTIFIER

public static final String FED_MATRIX_IDENTIFIER

See Also:
  - Constant Field Values

### FED_FRAME_IDENTIFIER

public static final String FED_FRAME_IDENTIFIER

See Also:
  - Constant Field Values

## Constructor Details

### FederatedPlanRewireTransTable

public FederatedPlanRewireTransTable()

## Method Details

### rewireProgram

public static void rewireProgram(DMLProgram prog, Map<Long,List<Hop>> rewireTable, Map<Long,FederatedMemoTable.HopCommon> hopCommonTable, Map<Long,FTypes.Privacy> privacyConstraintMap, Map<Long,FTypes.FType> fTypeMap, List<org.apache.commons.lang3.tuple.Pair<FederatedRange,FederatedData>> fedMap, Set<Long> unRefTwriteSet, Set<Long> unRefSet, Set<Hop> progRootHopSet)

### rewireFunctionDynamic

public static void rewireFunctionDynamic(FunctionStatementBlock function, Map<Long,List<Hop>> rewireTable, Map<Long,FederatedMemoTable.HopCommon> hopCommonTable, Map<Long,FTypes.Privacy> privacyConstraintMap, Map<Long,FTypes.FType> fTypeMap, List<org.apache.commons.lang3.tuple.Pair<FederatedRange,FederatedData>> fedMap, Set<Long> unRefTwriteSet, Set<Long> unRefSet, Set<Hop> progRootHopSet)

### rewireStatementBlock

public static Map<String,List<Hop>> rewireStatementBlock(StatementBlock sb, DMLProgram prog, Set<Long> visitedHops, Map<Long,List<Hop>> rewireTable, Map<Long,FederatedMemoTable.HopCommon> hopCommonTable, List<Map<String,List<Hop>>> outerTransTableList, Map<String,List<Hop>> formerTransTable, Map<Long,FTypes.Privacy> privacyConstraintMap, Map<Long,FTypes.FType> fTypeMap, List<org.apache.commons.lang3.tuple.Pair<FederatedRange,FederatedData>> fedMap, Set<Long> unRefTwriteSet, Set<Long> unRefSet, Set<Hop> progRootHopSet, Set<String> fnStack, double computeWeight, double networkWeight, List<org.apache.commons.lang3.tuple.Pair<Long,Double>> parentLoopStack)